> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Список инстансов

> Возвращает список арендованных инстансов



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json get /v0/instances
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/instances:
    get:
      tags:
        - instances
      summary: Список инстансов
      description: Возвращает список арендованных инстансов
      operationId: get_instances_v0_instances_get
      parameters:
        - name: start
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Start
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
        - name: currency
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Currency'
            default: RUB
        - name: locale
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Locale'
            default: ru
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginationResponse_list_InstanceResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    Currency:
      type: string
      enum:
        - USD
        - RUB
        - QOIN
      title: Currency
    Locale:
      type: string
      enum:
        - ru
        - en
      title: Locale
    PaginationResponse_list_InstanceResponse__:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/InstanceResponse'
              type: array
            - type: 'null'
          title: Data
        total_items:
          type: integer
          title: Total Items
          default: 0
      type: object
      title: PaginationResponse[list[InstanceResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InstanceResponse:
      properties:
        id:
          type: string
          title: Id
        actual_offer:
          anyOf:
            - $ref: '#/components/schemas/OfferResponse'
            - type: 'null'
        actual_template:
          anyOf:
            - $ref: >-
                #/components/schemas/src__apps__public__models__templates__TemplateResponse
            - type: 'null'
        user_id:
          type: string
          title: User Id
        hoster_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Hoster Id
        host_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Id
        third_party_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Third Party Id
        cloud_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Id
        total_cost:
          type: number
          title: Total Cost
          default: 0
        total_uptime:
          type: number
          title: Total Uptime
          default: 0
        storage_gb:
          type: integer
          title: Storage Gb
          default: 0
        initialized_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Initialized At
        prepaid_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Prepaid Until
        is_prepaid:
          type: boolean
          title: Is Prepaid
          default: false
        uptime_price:
          type: number
          title: Uptime Price
          default: 0
        pause_price:
          type: number
          title: Pause Price
          default: 0
        gpu_util:
          type: number
          title: Gpu Util
          default: 0
        cpu_util:
          type: number
          title: Cpu Util
          default: 0
        ram_util:
          type: number
          title: Ram Util
          default: 0
        mem_util:
          type: number
          title: Mem Util
          default: 0
        inet_in:
          type: integer
          title: Inet In
          default: 0
        inet_out:
          type: integer
          title: Inet Out
          default: 0
        status:
          $ref: '#/components/schemas/InstanceStatus'
          default: pending
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        logs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs
        ports:
          additionalProperties:
            type: string
          type: object
          title: Ports
          default: {}
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        ssh_enabled:
          type: boolean
          title: Ssh Enabled
          default: false
        ssh_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ssh Port
        ssh_host:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssh Host
        ssh_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssh Username
        ssh_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssh Password
        ssh_keys:
          items:
            $ref: '#/components/schemas/SecretResponse'
          type: array
          title: Ssh Keys
          default: []
        ui_available:
          type: boolean
          title: Ui Available
          default: false
        ui_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Ui Url
        tunnel_host:
          anyOf:
            - type: string
            - type: 'null'
          title: Tunnel Host
        tunnel_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Tunnel Token
        red_flagged:
          type: boolean
          title: Red Flagged
          default: false
        label:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Label
        deployment_data:
          anyOf:
            - $ref: '#/components/schemas/OllamaDeploymentData'
            - $ref: '#/components/schemas/JupyterDeploymentData'
            - $ref: '#/components/schemas/ComfyuiDeploymentData'
            - type: 'null'
          title: Deployment Data
        deployment_type:
          anyOf:
            - $ref: '#/components/schemas/DeploymentType'
            - type: 'null'
        is_raw:
          type: boolean
          title: Is Raw
          default: true
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - user_id
        - created_at
      title: InstanceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OfferResponse:
      properties:
        id:
          type: string
          title: Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/CompactProviderResponse'
            - type: 'null'
        gpu_amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpu Amount
        gpu_name:
          type: string
          title: Gpu Name
        gpu_translit_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gpu Translit Name
        vram:
          anyOf:
            - type: number
            - type: 'null'
          title: Vram
        prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          title: Prices
          default: []
        location:
          anyOf:
            - $ref: '#/components/schemas/Location'
            - type: 'null'
        configuration:
          $ref: '#/components/schemas/ConfigurationData'
        extra:
          additionalProperties: true
          type: object
          title: Extra
          default: {}
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        in_stock:
          type: boolean
          title: In Stock
        rentable:
          type: boolean
          title: Rentable
        is_third_party:
          type: boolean
          title: Is Third Party
          default: false
        offers_amount:
          type: integer
          title: Offers Amount
          default: 0
        countries_amount:
          type: integer
          title: Countries Amount
          default: 0
        disk_prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          title: Disk Prices
          default: []
        available_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Available Until
        real_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Real Price
        disk_real_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Disk Real Price
      type: object
      required:
        - id
        - gpu_name
        - configuration
        - in_stock
        - rentable
      title: OfferResponse
    src__apps__public__models__templates__TemplateResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        readme:
          anyOf:
            - type: string
            - type: 'null'
          title: Readme
        image:
          type: string
          title: Image
        image_tag:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Tag
          default: latest
        docker_private:
          anyOf:
            - $ref: '#/components/schemas/DockerPrivate'
            - type: 'null'
        env_variables:
          additionalProperties:
            type: string
          type: object
          title: Env Variables
          default: {}
        command:
          anyOf:
            - type: string
            - type: 'null'
          title: Command
        ports:
          items:
            type: string
          type: array
          title: Ports
          default: {}
        ssh_enabled:
          type: boolean
          title: Ssh Enabled
          default: false
        ssh_username:
          type: string
          title: Ssh Username
          default: root
        ui_available:
          type: boolean
          title: Ui Available
          default: false
        ui_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Ui Path
        ui_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ui Port
        min_storage_gb:
          anyOf:
            - type: integer
            - type: 'null'
          title: Min Storage Gb
        gpus:
          items:
            type: string
          type: array
          title: Gpus
          default: []
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        is_private:
          type: boolean
          title: Is Private
          default: false
        template_version:
          type: integer
          title: Template Version
          default: 0
      type: object
      required:
        - id
        - image
      title: TemplateResponse
    InstanceStatus:
      type: string
      enum:
        - pending
        - running
        - paused
        - rebooting
        - stopping
        - error
        - destroyed
        - choosing
      title: InstanceStatus
    SecretResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        user_id:
          type: string
          title: User Id
        secret_type:
          $ref: '#/components/schemas/SecretType'
          default: ssh
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        value:
          type: string
          title: Value
        renter_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Renter Id
      type: object
      required:
        - id
        - user_id
        - name
        - value
      title: SecretResponse
    OllamaDeploymentData:
      properties:
        base_url:
          type: string
          title: Base Url
      type: object
      required:
        - base_url
      title: OllamaDeploymentData
    JupyterDeploymentData:
      properties:
        connection_url:
          type: string
          title: Connection Url
      type: object
      required:
        - connection_url
      title: JupyterDeploymentData
    ComfyuiDeploymentData:
      properties:
        connection_url:
          type: string
          title: Connection Url
      type: object
      required:
        - connection_url
      title: ComfyuiDeploymentData
    DeploymentType:
      type: string
      enum:
        - ollama
        - jupyter
        - comfyui
      title: DeploymentType
    CompactProviderResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        translit_name:
          type: string
          title: Translit Name
        country:
          type: string
          title: Country
        logo:
          type: string
          title: Logo
        meta_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Meta Title
        meta_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Meta Description
        use_vpn:
          type: boolean
          title: Use Vpn
          default: true
      type: object
      required:
        - id
        - name
        - translit_name
        - country
        - logo
      title: CompactProviderResponse
    Price:
      properties:
        amount:
          type: number
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
        period:
          $ref: '#/components/schemas/PricePeriod'
          default: hourly
      type: object
      required:
        - amount
        - currency
      title: Price
    Location:
      properties:
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
      type: object
      title: Location
    ConfigurationData:
      properties:
        ram:
          anyOf:
            - $ref: '#/components/schemas/UnitValue_MemoryUnit_'
            - type: 'null'
        disk:
          anyOf:
            - $ref: '#/components/schemas/UnitValue_MemoryUnit_'
            - type: 'null'
        cpu_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cpu Name
        vcpu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vcpu
        cpu_cores:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Cores
        cpu_freq:
          anyOf:
            - type: number
            - type: 'null'
          title: Cpu Freq
        memory_speed:
          anyOf:
            - type: number
            - type: 'null'
          title: Memory Speed
        ethernet_in:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet In
        ethernet_out:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet Out
        capacity:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity
        max_cuda_version:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Cuda Version
      type: object
      title: ConfigurationData
    DockerPrivate:
      properties:
        registry:
          type: string
          title: Registry
        login:
          anyOf:
            - type: string
            - type: 'null'
          title: Login
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
      type: object
      required:
        - registry
      title: DockerPrivate
    SecretType:
      type: string
      enum:
        - ssh
      title: SecretType
    PricePeriod:
      type: string
      enum:
        - minutely
        - hourly
        - daily
        - monthly
      title: PricePeriod
    UnitValue_MemoryUnit_:
      properties:
        amount:
          type: number
          title: Amount
        unit:
          $ref: '#/components/schemas/MemoryUnit'
      type: object
      required:
        - amount
        - unit
      title: UnitValue[MemoryUnit]
    MemoryUnit:
      type: string
      enum:
        - gb
        - mb
      title: MemoryUnit
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.